clang-tools 6.0.0

Public Member Functions | List of all members
clang::tidy::modernize::TUTrackingInfo Struct Reference

`#include <LoopConvertUtils.h>`

## Public Member Functions
| TUTrackingInfo ()
| Reset and initialize per-TU tracking information. More...
StmtAncestorASTVisitor & | getParentFinder ()
StmtGeneratedVarNameMap & | getGeneratedDecls ()
ReplacedVarsMap & | getReplacedVars ()

## Detailed Description

Definition at line 401 of file LoopConvertUtils.h.

## Constructor & Destructor Documentation

## ◆ TUTrackingInfo()

clang::tidy::modernize::TUTrackingInfo::TUTrackingInfo | ( |  | ) |
| inline

Reset and initialize per-TU tracking information.

Must be called before using container accessors.

Definition at line 405 of file LoopConvertUtils.h.

## Member Function Documentation

## ◆ getGeneratedDecls()

StmtGeneratedVarNameMap& clang::tidy::modernize::TUTrackingInfo::getGeneratedDecls | ( |  | ) |
| inline

Definition at line 408 of file LoopConvertUtils.h.

## ◆ getParentFinder()

StmtAncestorASTVisitor& clang::tidy::modernize::TUTrackingInfo::getParentFinder | ( |  | ) |
| inline

Definition at line 407 of file LoopConvertUtils.h.

## ◆ getReplacedVars()

ReplacedVarsMap& clang::tidy::modernize::TUTrackingInfo::getReplacedVars | ( |  | ) |
| inline

Definition at line 409 of file LoopConvertUtils.h.

The documentation for this struct was generated from the following file:

- LoopConvertUtils.h